Create 3DS session
curl --request POST \
--url https://api.tagada.io/api/public/v1/threeds/create-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "basis_theory",
"storeId": "store_eaa20d619f6b",
"paymentInstrumentId": "inst_abc123",
"sessionData": {
"id": "15f8d1f9-1c27-4573-afd7-953ced14d8d2",
"type": "customer",
"cardBrand": "Visa",
"directory_server_id": "A000000003",
"recommended_version": "2.2.0"
}
}
'import requests
url = "https://api.tagada.io/api/public/v1/threeds/create-session"
payload = {
"provider": "basis_theory",
"storeId": "store_eaa20d619f6b",
"paymentInstrumentId": "inst_abc123",
"sessionData": {
"id": "15f8d1f9-1c27-4573-afd7-953ced14d8d2",
"type": "customer",
"cardBrand": "Visa",
"directory_server_id": "A000000003",
"recommended_version": "2.2.0"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'basis_theory',
storeId: 'store_eaa20d619f6b',
paymentInstrumentId: 'inst_abc123',
sessionData: {
id: '15f8d1f9-1c27-4573-afd7-953ced14d8d2',
type: 'customer',
cardBrand: 'Visa',
directory_server_id: 'A000000003',
recommended_version: '2.2.0'
}
})
};
fetch('https://api.tagada.io/api/public/v1/threeds/create-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "threeds_xyz789",
"externalSessionId": "15f8d1f9-1c27-4573-afd7-953ced14d8d2",
"provider": "basis_theory",
"status": "created",
"paymentInstrumentId": "inst_abc123",
"createdAt": "2024-03-20T10:30:00Z"
}3ds
Create 3DS session
Create a 3DS (Three Domain Secure) authentication session for enhanced payment security.
This should be called BEFORE processing a payment to pre-create the 3DS session. The session ID can then be passed to the payment processing endpoint.
Security & Permissions:
- Requires org:admin role
- Requires storeId - validates that the authenticated account owns the store
- Validates that the payment instrument belongs to the authenticated account
- All operations are scoped to the authenticated user’s account
Workflow:
- Create payment instrument
- Create 3DS session (this endpoint) ← Optional but recommended
- Process payment with threedsSessionId
Benefits of Pre-Creating Session:
- Enhanced fraud detection
- Better PSD2/SCA compliance
- Faster payment processing
- Improved success rates
POST
/
api
/
public
/
v1
/
threeds
/
create-session
Create 3DS session
⌘I
